//
//		TEXIO Serial Access Lib  Ver 1.00
//
//*     Copyright(c) 2012  TEXIO TECHNOLOGY CORPORATION

#if !defined(AFX_SERIALPORT_H__5FB2852A_69A0_4665_A578_1365CEB47E0C__INCLUDED_)
#define AFX_SERIALPORT_H__5FB2852A_69A0_4665_A578_1365CEB47E0C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class SerialPort  
{
public:
	SerialPort();
	virtual ~SerialPort();

	HANDLE COM_OpenDevice( int );
	int COM_SetTimeout( HANDLE, int );
	int COM_SetParameter( HANDLE, DWORD, BYTE, BYTE, BYTE );
	int COM_Send( HANDLE, char*, DWORD );
	int COM_Receive( HANDLE, char* );
	int COM_Clear( HANDLE, int );
	int COM_CloseDevice( HANDLE );
};

#endif // !defined(AFX_SERIALPORT_H__5FB2852A_69A0_4665_A578_1365CEB47E0C__INCLUDED_)
